test_setup()
{
    request=$'/foo.dcgi\tping\r\n'

    cat >"$docroot"/foo.dcgi <<EOF
#!/bin/sh

read
printf 'Welcome: %s\\n' "\$REPLY"
EOF
    chmod +x "$docroot"/foo.dcgi
}

test_set_assumptions()
{
    echo 0 >"$work"/exitcode.expected
    touch "$work"/stderr.expected

    printf 'iWelcome: ping\t-\t-\t0\r\n' >"$work"/stdout.expected
}
